ZM installation problem

Forum for questions and support relating to the 1.30.x releases only.
Post Reply
jakari
Posts: 4
Joined: Wed Aug 17, 2016 3:24 pm

ZM installation problem

Post by jakari » Wed Aug 17, 2016 3:39 pm

Hello,

I,m trying to install zoneminder on centos 6.8 but installation stops to error message. Can someone help what I can do?

yum install zoneminder
.
.
.
--> Finished Dependency Resolution
Error: Package: perl-Class-Std-Fast-0.0.8-2.el6.noarch (zmrepo)
Requires: perl(Class::Std)
Error: Package: perl-SOAP-WSDL-3.003-1.el6.noarch (zmrepo)
Requires: perl(Class::Load)
Error: Package: perl-SOAP-WSDL-3.003-1.el6.noarch (zmrepo)
Requires: perl(Class::Std)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

jakari
Posts: 4
Joined: Wed Aug 17, 2016 3:24 pm

Re: ZM installation problem

Post by jakari » Wed Aug 17, 2016 6:08 pm

Hi,

more info...

I did this steps ->> https://zmrepo.zoneminder.com/ , distro el6

and installation stops

---> Package perl-SOAP-WSDL.noarch 0:3.003-1.el6 will be installed
--> Processing Dependency: perl(Class::Std) for package: perl-SOAP-WSDL-3.003-1.el6.noarch
--> Processing Dependency: perl(Class::Load) for package: perl-SOAP-WSDL-3.003-1.el6.noarch
--> Finished Dependency Resolution
Error: Package: perl-Class-Std-Fast-0.0.8-2.el6.noarch (zmrepo)
Requires: perl(Class::Std)
Error: Package: perl-SOAP-WSDL-3.003-1.el6.noarch (zmrepo)
Requires: perl(Class::Load)
Error: Package: perl-SOAP-WSDL-3.003-1.el6.noarch (zmrepo)
Requires: perl(Class::Std)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@centos ~]#

User avatar
knight-of-ni
Posts: 2226
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: ZM installation problem

Post by knight-of-ni » Thu Aug 18, 2016 12:23 pm

Clear your yum cache, then try it again. Should work now.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

jakari
Posts: 4
Joined: Wed Aug 17, 2016 3:24 pm

Re: ZM installation problem

Post by jakari » Fri Aug 19, 2016 10:36 am

Hi,

thanks for reply!

I tried to clean yum cache but still zoneminder installation fails... Installation process suggest that "add --broken-skip", it gives below result.
Do I have to add repositories? ->>> "Packages skipped because of dependency problems:"

I have done these steps:
wget http://zmrepo.zoneminder.com/el/6/i386/ ... noarch.rpm
sudo yum install --nogpgcheck zmrepo-6-7.el6.noarch.rpm
sudo yum install zoneminder




yum clean all
Loaded plugins: fastestmirror, security
Cleaning repos: base extras updates upg zmrepo
Cleaning up Everything
Cleaning up list of fastest mirrors

[root@centos ~]# yum install zoneminder --skip-broken
Loaded plugins: fastestmirror, security
Setting up Install Process
Determining fastest mirrors
* base: ftp.ember.se
* extras: ftp.ember.se
* updates: ftp.ember.se
* zmrepo: 67.53.78.182
base | 3.7 kB 00:00
base/primary_db | 3.7 MB 00:00
extras | 3.3 kB 00:00
extras/primary_db | 30 kB 00:00
updates | 3.4 kB 00:00
updates/primary_db | 1.4 MB 00:00
upg | 1.9 kB 00:00
upg/primary_db | 14 kB 00:00
zmrepo | 2.9 kB 00:00
zmrepo/primary_db | 147 kB 00:00
Resolving Dependencies
.
.
.
.
.
Packages skipped because of dependency problems:
SDL_image-1.2.12-9.el6.i686 from zmrepo
a52dec-0.7.4-15.el6.3.i686 from zmrepo
cambozola-0.93-1.el6.noarch from zmrepo
dirac-libs-1.0.2-4.el6.i686 from zmrepo
1:faad2-libs-2.7-2.el6.3.i686 from zmrepo
game-music-emu-0.6.0-5.el6.i686 from zmrepo
httpd-2.2.15-54.el6.centos.i686 from updates
libavc1394-0.5.3-9.1.el6.i686 from base
libcddb-1.3.2-2.el6.i686 from zmrepo
libdca-0.0.5-6.el6.i686 from zmrepo
libdvbpsi-0.2.2-2.el6.i686 from zmrepo
libdvdnav-4.1.4-0.1.svn1184.el6.i686 from zmrepo
libdvdread-4.1.4-0.3.svn1183.el6.i686 from base
libebml-1.2.2-1.el6.i686 from zmrepo
libkate-0.3.8-1.el6.i686 from zmrepo
libmad-0.15.1b-14.el6.i686 from zmrepo
libmatroska-1.2.0-1.el6.i686 from zmrepo
1:libmodplug-0.8.8.5-1.el6.i686 from zmrepo
libmpcdec-1.2.6-6.1.el6.i686 from base
libmpeg2-0.5.1-9.el6.i686 from zmrepo
libmtp-1.0.1-2.el6.i686 from base
libshout-2.2.2-5.1.el6.i686 from base
libsmbclient-3.6.23-35.el6_8.i686 from updates
libtiger-0.3.4-1.el6.i686 from zmrepo
libupnp-1.6.18-2.el6.i686 from zmrepo
lirc-libs-0.9.0-8.el6.i686 from zmrepo
live555-0-0.37.2012.04.27.el6.i686 from zmrepo
minizip-1.2.3-29.el6.i686 from base
mod_perl-2.0.4-11.el6_5.i686 from base
mysql-5.1.73-7.el6.i686 from base
mysql-server-5.1.73-7.el6.i686 from base
opus-1.1.2-1.el6.i686 from zmrepo
perl-AppConfig-1.66-6.el6.noarch from base
perl-Archive-Tar-1.58-141.el6_7.1.i686 from base
perl-Astro-SunTime-0.01-1.noarch from zmrepo
perl-BSD-Resource-1.29.03-3.el6.i686 from base
perl-Class-Load-0.10-1.el6.noarch from zmrepo
perl-Class-Std-0.0.8-5.el6.noarch from zmrepo
perl-Class-Std-Fast-0.0.8-2.el6.noarch from zmrepo
perl-Data-Dump-1.15-1.el6.noarch from zmrepo
perl-Data-OptList-0.104-4.el6.noarch from base
perl-Data-UUID-1.219-3.el6.i686 from zmrepo
perl-Date-Manip-6.24-1.el6.noarch from base
perl-IO-Interface-1.05-15.el6.i686 from zmrepo
perl-IO-Socket-Multicast-1.12-1.el6.i686 from zmrepo
perl-MIME-Lite-3.027-2.el6.noarch from base
perl-MIME-tools-5.427-4.el6.noarch from base
perl-Params-Util-1.00-3.el6.i686 from base
perl-Pod-POM-0.25-2.el6.noarch from base
perl-SOAP-WSDL-2.00.10-1.el6.noarch from zmrepo
perl-SOAP-WSDL-3.003-1.el6.noarch from zmrepo
perl-Sub-Install-0.925-6.el6.noarch from base
perl-Sys-CPU-0.51-7.el6.i686 from zmrepo
perl-Sys-MemInfo-0.91-5.el6.i686 from zmrepo
perl-Template-Toolkit-2.22-5.el6.i686 from base
perl-TermReadKey-2.30-13.el6.i686 from base
perl-Time-modules-2006.0814-5.el6.noarch from base
perl-URI-Encode-0.09-1.el6.noarch from zmrepo
perl-X10-0.03-1.noarch from zmrepo
php-5.3.3-48.el6_8.i686 from updates
php-gd-5.3.3-48.el6_8.i686 from updates
php-mysql-5.3.3-48.el6_8.i686 from updates
taglib-1.6.1-1.1.el6.i686 from base
twolame-libs-0.3.13-2.el6.i686 from zmrepo
vlc-core-2.0.10-1.el6.i686 from zmrepo
zoneminder-1.30.0-3.el6.i686 from zmrepo
zvbi-0.2.35-1.el6.i686 from zmrepo

jakari
Posts: 4
Joined: Wed Aug 17, 2016 3:24 pm

Re: ZM installation problem

Post by jakari » Fri Aug 19, 2016 11:06 am

Hi,

I got it working, I had to add

rpm -Uhv http://repository.it4i.cz/mirrors/repof ... f.i686.rpm

Problem solved.

User avatar
knight-of-ni
Posts: 2226
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: ZM installation problem

Post by knight-of-ni » Fri Aug 19, 2016 12:02 pm

One can browse zmrepo and see that the packages mentioned in your first post are in zmrepo:
https://zmrepo.zoneminder.com/el/6/x86_64/

Never use --skip-broken. That will only cause new problems later on.
The most recent output you have provided was not helpful. It does not say what the current problem is.

Never add rpmforge on a system running zmrepo. That repo has conflicting packages. If you don't run into issues today, you will eventually.
I am not familiar with the upg repo showing on your system. Third party repos can cause problems if any of the packages in the third party repo overlap with what is in zmrepo.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests